## ros-noetic-rosserial-embeddedlinux 0.9.2

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.7.2)
project(rosserial_embeddedlinux)

find_package(catkin REQUIRED COMPONENTS
  rosserial_client
)

catkin_package(CATKIN_DEPENDS)

install(
  DIRECTORY src/ros_lib
            src/examples
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}/src
)

catkin_install_python(
  PROGRAMS src/${PROJECT_NAME}/make_libraries.py
  DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
)

=== debian/changelog ===
ros-noetic-rosserial-embeddedlinux (0.9.2-1focal) focal; urgency=high



 -- Paul Bouchier <paul.bouchier@gmail.com>  Fri, 02 Apr 2021 00:00:00 -0000

ros-noetic-rosserial-embeddedlinux (0.9.1-1focal) focal; urgency=high



 -- Paul Bouchier <paul.bouchier@gmail.com>  Wed, 09 Sep 2020 00:00:00 -0000

ros-noetic-rosserial-embeddedlinux (0.9.0-1focal) focal; urgency=high

  * Use os.path.join for path concatenation (#495 <https://github.com/ros-drivers/rosserial/issues/495>)
  * Bump minimum CMake version to 3.7.2 (Melodic).
  * Fix py3 print usages and trailing whitespaces (#469 <https://github.com/ros-drivers/rosserial/issues/469>)
  * Contributors: Hermann von Kleist, Mike Purvis, acxz

 -- Paul Bouchier <paul.bouchier@gmail.com>  Tue, 25 Aug 2020 00:00:00 -0000

ros-noetic-rosserial-embeddedlinux (0.8.0-1focal) focal; urgency=high



 -- Paul Bouchier <paul.bouchier@gmail.com>  Thu, 11 Oct 2018 00:00:00 -0000

ros-noetic-rosserial-embeddedlinux (0.7.7-1focal) focal; urgency=high

  * Copy src/examples to install dir so make_libraries.py doesn't fail (#336 <https://github.com/ros-drivers/rosserial/issues/336>)
  * Fix catkin lint errors (#296 <https://github.com/ros-drivers/rosserial/issues/296>)
  * Contributors: Bei Chen Liu, Jonny Dark

 -- Paul Bouchier <paul.bouchier@gmail.com>  Wed, 29 Nov 2017 00:00:00 -0000

ros-noetic-rosserial-embeddedlinux (0.7.6-1focal) focal; urgency=high



 -- Paul Bouchier <paul.bouchier@gmail.com>  Wed, 01 Mar 2017 00:00:00 -0000

ros-noetic-rosserial-embeddedlinux (0.7.5-1focal) focal; urgency=high



 -- Paul Bouchier <paul.bouchier@gmail.com>  Tue, 22 Nov 2016 00:00:00 -0000

ros-noetic-rosserial-embeddedlinux (0.7.4-1focal) focal; urgency=high



 -- Paul Bouchier <paul.bouchier@gmail.com>  Wed, 21 Sep 2016 00:00:00 -0000

ros-noetic-rosserial-embeddedlinux (0.7.3-1focal) focal; urgency=high



 -- Paul Bouchier <paul.bouchier@gmail.com>  Fri, 05 Aug 2016 00:00:00 -0000

ros-noetic-rosserial-embeddedlinux (0.7.2-1focal) focal; urgency=high



 -- Paul Bouchier <paul.bouchier@gmail.com>  Fri, 15 Jul 2016 00:00:00 -0000

ros-noetic-rosserial-embeddedlinux (0.7.1-1focal) focal; urgency=high



 -- Paul Bouchier <paul.bouchier@gmail.com>  Mon, 06 Jul 2015 00:00:00 -0000

ros-noetic-rosserial-embeddedlinux (0.7.0-1focal) focal; urgency=high

  * Use native 64-bit double on embeddedlinux.
  * Include time.h header for linux in embedded_linux_hardware.h.
  * Support OS X time in the embeddedlinux port.
  * Contributors: Mike Purvis

 -- Paul Bouchier <paul.bouchier@gmail.com>  Thu, 23 Apr 2015 00:00:00 -0000

ros-noetic-rosserial-embeddedlinux (0.6.3-1focal) focal; urgency=high

  * Miscellaneous tidying in EmbeddedLinuxHardware.
  * Rename header.
  * Automatic astyle fixes.
  * portName as const char*, eliminate strtok.
  * Contributors: Mike Purvis

 -- Paul Bouchier <paul.bouchier@gmail.com>  Wed, 05 Nov 2014 00:00:00 -0000

ros-noetic-rosserial-embeddedlinux (0.6.2-1focal) focal; urgency=high



 -- Paul Bouchier <paul.bouchier@gmail.com>  Wed, 10 Sep 2014 00:00:00 -0000

ros-noetic-rosserial-embeddedlinux (0.6.1-1focal) focal; urgency=high



 -- Paul Bouchier <paul.bouchier@gmail.com>  Mon, 30 Jun 2014 00:00:00 -0000

ros-noetic-rosserial-embeddedlinux (0.6.0-1focal) focal; urgency=high



 -- Paul Bouchier <paul.bouchier@gmail.com>  Wed, 11 Jun 2014 00:00:00 -0000

ros-noetic-rosserial-embeddedlinux (0.5.6-1focal) focal; urgency=high

  * Add Mike Purvis as maintainer to all but xbee.
  * Contributors: Mike Purvis

 -- Paul Bouchier <paul.bouchier@gmail.com>  Wed, 11 Jun 2014 00:00:00 -0000

ros-noetic-rosserial-embeddedlinux (0.5.5-1focal) focal; urgency=high



 -- Paul Bouchier <paul.bouchier@gmail.com>  Tue, 14 Jan 2014 00:00:00 -0000

ros-noetic-rosserial-embeddedlinux (0.5.4-1focal) focal; urgency=high



 -- Paul Bouchier <paul.bouchier@gmail.com>  Thu, 17 Oct 2013 00:00:00 -0000

ros-noetic-rosserial-embeddedlinux (0.5.3-1focal) focal; urgency=high



 -- Paul Bouchier <paul.bouchier@gmail.com>  Sat, 21 Sep 2013 00:00:00 -0000

ros-noetic-rosserial-embeddedlinux (0.5.2-1focal) focal; urgency=high

  * Fix release version

 -- Paul Bouchier <paul.bouchier@gmail.com>  Wed, 17 Jul 2013 00:00:00 -0000

ros-noetic-rosserial-embeddedlinux (0.5.1-1focal) focal; urgency=high



 -- Paul Bouchier <paul.bouchier@gmail.com>  Mon, 15 Jul 2013 00:00:00 -0000

ros-noetic-rosserial-embeddedlinux (0.4.5-1focal) focal; urgency=high

  * rosserial_embeddedlinux: Fix CMakeLists.txt ...
    so 'catkin_make install' can find 'examples' directory under 'src' directory in rosserial_embeddedlinux
  * fix install rule for examples dir
  * Fixed a bug in ros_lib install logic which took an exception because it copied files to themselves
    Added execute permission to make_libraries.py in rosserial_embeddedlinux
    Moved examples under src in rosserial_embeddedlinux
  * fix package name

 -- Paul Bouchier <paul.bouchier@gmail.com>  Tue, 02 Jul 2013 00:00:00 -0000

ros-noetic-rosserial-embeddedlinux (0.4.4-1focal) focal; urgency=high

  * merge
  * Merge remote-tracking branch 'origin/groovy-devel' into groovy-devel
  * Install examples in install dir & next to ros_lib. Change maintainer email.

 -- Paul Bouchier <paul.bouchier@gmail.com>  Wed, 20 Mar 2013 00:00:00 -0000

ros-noetic-rosserial-embeddedlinux (0.4.3-1focal) focal; urgency=high

  * forgot to remove install directives

 -- Paul Bouchier <paul.bouchier@gmail.com>  Wed, 13 Mar 2013 14:08:00 -0000

ros-noetic-rosserial-embeddedlinux (0.4.2-1focal) focal; urgency=high

  * fix build issues when in isolation by moving more stuff into make_library

 -- Paul Bouchier <paul.bouchier@gmail.com>  Wed, 13 Mar 2013 01:15:00 -0000

ros-noetic-rosserial-embeddedlinux (0.4.1-1focal) focal; urgency=high



 -- Paul Bouchier <paul.bouchier@gmail.com>  Sat, 09 Mar 2013 00:00:00 -0000

ros-noetic-rosserial-embeddedlinux (0.4.0-1focal) focal; urgency=high

  * initial catkin version on github



=== debian/control ===
Source: ros-noetic-rosserial-embeddedlinux
Section: misc
Priority: optional
Maintainer: Paul Bouchier <paul.bouchier@gmail.com>
Build-Depends: debhelper (>= 9.0.0), ros-noetic-catkin, ros-noetic-rosserial-client
Homepage: http://ros.org/wiki/rosserial_embeddedlinux
Standards-Version: 3.9.2

Package: ros-noetic-rosserial-embeddedlinux
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-noetic-rospy, ros-noetic-rosserial-msgs
Description: rosserial for embedded Linux enviroments

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/noetic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/noetic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/noetic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-noetic-rosserial-embeddedlinux//opt/ros/noetic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_install
